Subject: Re: bug#15987: 24.3; diary-add-to-list ignored by diary-mark-entries

From: Stefan Kangas <[email-masked]>
Date: Sun, 18 Aug 2019 19:55:33 +0200

"Roland Winkler" <[email-masked]> writes:

> On Sun Dec 1 2013 Stephen Berman wrote:
>> It should be possible to do this by implementing a BBDB function for
>> diary-goto-entry-function; see todo-diary-goto-entry for an example.
>> (In fact, diary-goto-entry-function was added when the new version of
>> todo-mode.el was added to Emacs, precisely for this purpose; note,
>> however, that Todo files that are meant to contain diary entries must be
>> included in the diary by the usual #include mechanism.)
>
> Thanks, I'll look into this.  Hopefully, such an approach will not
> require too dirty tricks.

Hi Roland,

Did you ever get a chance to look into this?  I'm asking since it's
been a while (six years more or less), and it would be good if we
could clarify if this is indeed doable and/or desirable.

Thanks,
Stefan Kangas